#include <ChiliLog.h>
void log(const char * message) {
	if (message==NULL) return;
	printf("%s\n",message);
}

void log(const char * formatstr,const char *message) {
	if (formatstr==NULL) {
		if (message==NULL) return;
		log ("--- warning: invalid log string.\n");
		log(message);
		return;
	}
	if (message==NULL) {
		log(formatstr);
		return;
	}
	if (message=="") {
		log(formatstr);
		return;
	}
	printf(formatstr,message);
	printf("\n");
}

void log(const char * formatstr,string & message) {
	log (formatstr,message.c_str());
}

